## org.exist.cluster.journal
Class ClusterEventMarshaller

    java.lang.Object
      org.exist.cluster.journal.ClusterEventMarshaller

public class ClusterEventMarshaller
extends java.lang.Object

Created by Nicola Breda.

Author:
  Nicola Breda aka maiale, David Frontini aka spider Date: 05-aug-2005 Time: 18.09.08 Revision $Revision: 1549 $

Constructor Summary
`ClusterEventMarshaller()`

Method Summary
`static byte[]` `marshall(ClusterEvent event)`
`static ClusterEvent` `unmarshall(byte[] data)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClusterEventMarshaller

    public ClusterEventMarshaller()

Method Detail

### marshall

    public static byte[] marshall(ClusterEvent event)
                           throws java.rmi.MarshalException

  Throws:
    `java.rmi.MarshalException`

### unmarshall

    public static ClusterEvent unmarshall(byte[] data)
                                   throws java.rmi.MarshalException

  Throws:
    `java.rmi.MarshalException`

Copyright (C) Wolfgang Meier. All rights reserved.